/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

function raton_liberado(evento) {
	if(!blok){
		if(dialogo.tag==-1){
			if(horario.hora_inicio_destacada!=-1){
				horario.hora_fin_destacada=horario.hora_destacada;
				lanzar_dialogo(ANCHURA_VENTANA-160,25,150,85,TAG_SELECCIONAR_BANDA);
			}else if(horario.dia_destacado!=-1 && horario.hora_destacada!=-1){
				lanzar_dialogo(ANCHURA_VENTANA/2-200,ALTURA_VENTANA/2-100,300,200,TAG_BORRAR_HORARIO);
			}
		}else{
			if(dialogo.tag==TAG_BORRAR_HORARIO){
				if(dialogo.opcion_apuntada==0){ //ELIMINAR
					bloquear();				
					mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
					fadeout_alpha=0.0;
					var hora_url=horario.hora_destacada;
					while(hora_url>0 && horario.celdas[horario.dia_destacado][hora_url]==horario.celdas[horario.dia_destacado][horario.hora_destacada])
						hora_url--;
					
					hora_url+=horario.hora_inicial;
					url_redireccionar="borrar_horario_"+horario.nombres[horario.celdas[horario.dia_destacado][horario.hora_destacada]].obtener_texto()+"_"+horario.dia_destacado+"_"+hora_url;
				}
				dialogo.tag=-1;
			}else if(dialogo.tag==TAG_SELECCIONAR_BANDA){
				if(horario.banda_destacada>0)
					lanzar_dialogo(ANCHURA_VENTANA/2-200,ALTURA_VENTANA/2-100,300,200,TAG_NUEVO_HORARIO);
				else{
					dialogo.tag=-1;
					horario.hora_inicio_destacada=-1;
				}
			}else if(dialogo.tag==TAG_NUEVO_HORARIO){
				if(dialogo.opcion_apuntada==0){ //RESERVAR
					bloquear();				
					mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
					fadeout_alpha=0.0;
					var hora_ini_url=horario.hora_inicio_destacada+horario.hora_inicial;
					var hora_fin_url=horario.hora_fin_destacada+horario.hora_inicial+1;
					url_redireccionar="nuevo_horario_"+horario.nombres[horario.banda_destacada].obtener_texto()+"_"+horario.dia_nuevo+"_"+hora_ini_url+"_"+hora_fin_url;
				}
				dialogo.tag=-1;
			}
		}
	}
}

function raton_movido(evento){

	if(!blok){
		//Adaptamos las coordenadas del evento
		var x_evento=adaptar_x_evento(evento);
		var y_evento=adaptar_y_evento(evento);
		if(dialogo.tag==-1){
			horario.destacar_celdas(x_evento,y_evento);
		}else{
			dialogo.destacar_opciones(x_evento,y_evento);
			if(dialogo.tag==TAG_SELECCIONAR_BANDA)
				horario.destacar_bandas(x_evento,y_evento);
		}
	}
}

function mouse_down(){
	if(!blok){
		if(horario.hora_inicio_destacada==-1 && horario.celdas[horario.dia_destacado][horario.hora_destacada]==0){
			horario.hora_inicio_destacada=horario.hora_destacada;
			horario.dia_nuevo=horario.dia_destacado;
		}
	}
}
